plot.tidem {oce} | R Documentation

## Plot a tidal fit

### Description

Plot a summary diagram for a tidal fit.

### Usage

    ## S4 method for signature 'tidem'
    plot(x,
         which=1,
         labelIf=NULL,
         log="",
         mgp=getOption("oceMgp"),
         mar=c(mgp[1]+1,mgp[1]+1,mgp[2]+0.25,mgp[2]+1),
         ...)

### Arguments

`x` | a `tidem` object, as created by `tidem`.
`which` | integer flag indicating plot type, 1 for stair-case spectral, 2 for spike spectral.
`labelIf` | if NULL, the function will indicate some particular tidal constituents; if a value is provided, labels will be given for any constituent with amplitude exceeding the value provided.
`log` | if set to "`x`", the frequency axis will be logarithmic.
`mgp` | 3-element numerical vector to use for `par(mgp)`, and also for `par(mar)`, computed from this. The default is tighter than the R default, in order to use more space for the data and less for the axes.
`mar` | value to be used with `par("mar")`.
`...` | optional arguments passed to plotting functions.

### Details

Creates a plot for a "`tidem`" object. See `tidem` for examples.

### Author(s)

Dan Kelley

### See Also

`tidem` fits a "`tidem`" object, and `summary.tidem` summarizes such an object.

### Examples

    ## Not run:
    library(oce)
    data(sealevel)
    tide <- tidem(sealevel)
    plot(tide)

    ## End(Not run)

[Package oce version 0.9-18 Index]